Project ERROR: Unknown module(s) in QT: quick



  • when i try to install qt on ubuntu,as there is no .run file from QT for linux x86 , i have to compile with QT-everywhere-opensource file. the source file is Qt5.7.1,my host is ubuntu 16.04.02. i just run configure with on options , and then run make && make install, but error occurs, the output is :
    5.7.1/qtcanvas3d/src/imports/imports.pro -qtconf /home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtbase/bin/qt.conf -o Makefile ) && make -f Makefile
    make[3]: Entering directory '/home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtcanvas3d/src/imports'
    make[3]: Nothing to be done for 'first'.
    make[3]: Leaving directory '/home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtcanvas3d/src/imports'
    make[2]: Leaving directory '/home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtcanvas3d/src'
    cd examples/ && ( test -e Makefile || /home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtbase/bin/qmake /home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtcanvas3d/examples/examples.pro -qtconf /home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtbase/bin/qt.conf -o Makefile ) && make -f Makefile
    make[2]: Entering directory '/home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtcanvas3d/examples'
    cd canvas3d/ && ( test -e Makefile || /home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtbase/bin/qmake /home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtcanvas3d/examples/canvas3d/canvas3d.pro -qtconf /home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtbase/bin/qt.conf -o Makefile ) && make -f Makefile
    make[3]: Entering directory '/home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtcanvas3d/examples/canvas3d'
    cd textureandlight/ && ( test -e Makefile || /home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtbase/bin/qmake /home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtcanvas3d/examples/canvas3d/textureandlight/textureandlight.pro -qtconf /home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtbase/bin/qt.conf -o Makefile ) && make -f Makefile
    Project ERROR: Unknown module(s) in QT: quick
    Makefile:47: recipe for target 'sub-textureandlight-make_first' failed
    make[3]: *** [sub-textureandlight-make_first] Error 3
    make[3]: Leaving directory '/home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtcanvas3d/examples/canvas3d'
    what's the problem ? thank you !



  • @JiujiuTong said in qt make error on ubuntu x86:

    when i try to install qt on ubuntu,as there is no .run file from QT for linux x86 , i have to compile with QT-everywhere-opensource file. the source file is Qt5.7.1,my host is ubuntu 16.04.02. i just run configure with on options , and then run make && make install, but error occurs, the output is :
    5.7.1/qtcanvas3d/src/imports/imports.pro -qtconf /home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtbase/bin/qt.conf -o Makefile ) && make -f Makefile
    make[3]: Entering directory '/home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtcanvas3d/src/imports'
    make[3]: Nothing to be done for 'first'.
    make[3]: Leaving directory '/home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtcanvas3d/src/imports'
    make[2]: Leaving directory '/home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtcanvas3d/src'
    cd examples/ && ( test -e Makefile || /home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtbase/bin/qmake /home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtcanvas3d/examples/examples.pro -qtconf /home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtbase/bin/qt.conf -o Makefile ) && make -f Makefile
    make[2]: Entering directory '/home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtcanvas3d/examples'
    cd canvas3d/ && ( test -e Makefile || /home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtbase/bin/qmake /home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtcanvas3d/examples/canvas3d/canvas3d.pro -qtconf /home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtbase/bin/qt.conf -o Makefile ) && make -f Makefile
    make[3]: Entering directory '/home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtcanvas3d/examples/canvas3d'
    cd textureandlight/ && ( test -e Makefile || /home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtbase/bin/qmake /home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtcanvas3d/examples/canvas3d/textureandlight/textureandlight.pro -qtconf /home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtbase/bin/qt.conf -o Makefile ) && make -f Makefile
    Project ERROR: Unknown module(s) in QT: quick
    Makefile:47: recipe for target 'sub-textureandlight-make_first' failed
    make[3]: *** [sub-textureandlight-make_first] Error 3
    make[3]: Leaving directory '/home/tong/Downloads/qt-everywhere-opensource-src-5.7.1/qtcanvas3d/examples/canvas3d'
    what's the problem ? thank you !
    why QT do not have X86 version , can any one helps me ? thank you !



  • @JiujiuTong said in qt make error on ubuntu x86:

    form the log it seems that quick module is missing, and there is no quick module is source Dir,
    with -skip quick options, the out put is : attempting to skip non-existent module qtquick



  • @JiujiuTong
    with many tries , i found with option -nomake examples -skip virtualkeyboard , it finished.



  • @JiujiuTong
    I'd like to know how to make with example and virtualkeyboard, any one know? thank you


  • Moderators

    @JiujiuTong This is odd. Qt 5.7 definitely comes with Qt Quick.

    Are you perchance mixing a system level Qt with the one you are trying to build? That happens a lot, especially in linux.



  • @ambershark
    well, I'm sure both QT and ubuntu are clearly new. i have recalculated the source QT zip file, the Md5sum is ok. the phenomenon happened in both two machines(both are new install with ubuntu 16.04.2 desktop i386).
    the step is simple, extract file qt-everywhere-opensource-src-5.7.1
    then enter the directory, run ./configure with no options,
    then run sudo make && sudo make install ,the error happens.
    may the issue happen for missing some packs(new install OS)?



  • @JiujiuTong said in qt make error on ubuntu x86:

    @ambershark
    well, I'm sure both QT and ubuntu are clearly new. i have recalculated the source QT zip file, the Md5sum is ok. the phenomenon happened in both two machines(both are new install with ubuntu 16.04.2 desktop i386).
    the step is simple, extract file qt-everywhere-opensource-src-5.7.1
    then enter the directory, run ./configure with no options,
    then run sudo make && sudo make install ,the error happens.
    may the issue happen for missing some packs(new install OS)?
    @ambershark @jsulm
    another info, it seems that the ubuntu 16.04.2 i386 is published with QT4, for i can run qmake in the shell after installation finished.may it be the root cause? if so how can i avoid it ? many thanks!


  • Moderators

    @JiujiuTong said in qt make error on ubuntu x86:

    another info, it seems that the ubuntu 16.04.2 i386 is published with QT4, for i can run qmake in the shell after installation finished.may it be the root cause? if so how can i avoid it ? many thanks!

    I'm not sure I understand what you mean. It doesn't matter what Ubuntu installs, just call qmake YOU installed (provide whole path to it not just qmake).



  • @jsulm
    as @ambershark refer :
    Are you perchance mixing a system level Qt with the one you are trying to build? That happens a lot, especially in linux.
    i find ubuntu has it's own QT4 ,I know that if i want use the QT version i installed, i should run the absolute path of new qmake.
    the question is whether the qt make error (before i install new QT,just after configure QT project) has any relative with QT4 installed in OS? when this issue happens, there is no new QT version.


  • Moderators

    @JiujiuTong In the build log you posted I cannot see anything related to Qt 4. The problem is just that Qt quick was not build for some reason.
    I have Qt 5 sources here and see:

    qtquick1
    qtquickcontrols
    qtquickcontrols2 
    


  • @jsulm
    it's strange ,my Qt sources qt-everywhere-opensource-src-5.7.1 only have:
    qtquickcontrols
    qtquickcontrols2


  • Lifetime Qt Champion

    Hi,

    QtQuick1 has been deprecated in Qt 5.5 and remove from the pre-built package in Qt 5.6

    However you can still clone the source from https://code.qt.io



  • @SGaist
    thank you !
    another question:
    as i have sucessfully installed qt5.7 version(skip some module), but there is no available qtcreator 4.0 package for linux x86, qtcreator installed by newest online-installer is older version v3.5(maybe).
    I mean my ENV is qtcreator v3.5 + qt5.7, can it work properly ? the default package qt5.7 downloaded from qt for linux x64,it contains qt5.7+qtcreator v4.2.


  • Moderators

    @JiujiuTong Yes, it will work



  • @jsulm
    well ,Thank you!


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.